layout.h File Reference

Defines layout functions used by TensorRef and derived classes. More...

`#include "cutlass/cutlass.h"`
`#include "cutlass/matrix_coord.h"`
`#include "cutlass/layout/matrix.h"`
`#include "cutlass/layout/pitch_linear.h"`
`#include "cutlass/layout/tensor.h"`
`#include "cutlass/layout/tensor_nhwc.h"`
`#include "cutlass/layout/vector.h"`
`#include "cutlass/layout/tensor_op_multiplicand_sm70.h"`
`#include "cutlass/layout/tensor_op_multiplicand_sm75.h"`
Include dependency graph for layout.h:

Go to the source code of this file.

## Namespaces

| cutlass
| cutlass::layout

## Detailed Description

Layout functions map logical coordinates to linear memory. They often require additional data to describe strides between elements.

Layout functions must implement all members in the public interface of IdentityTensorLayout<> defined in cutlass/tensor_ref.h.